Message Queue, v4.5.1 API Specification

## com.sun.messaging.jms.management.server
Class ServiceState

    java.lang.Object
      com.sun.messaging.jms.management.server.ServiceState

    public class ServiceState

extends Object

Class containing information on service states.

Field Summary
`static int` `PAUSED` Service is paused.
`static int` `QUIESCED` Service is quiesced.
`static int` `RUNNING` Service is up and running.
`static int` `UNKNOWN` Unknown service state.

Method Summary
`static String` `toString(int state)` Returns a string representation of the specified service state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  Unknown service state.

  See Also:
    Constant Field Values

### RUNNING

    public static final int RUNNING

  Service is up and running.

  See Also:
    Constant Field Values

### PAUSED

    public static final int PAUSED

  Service is paused.

  See Also:
    Constant Field Values

### QUIESCED

    public static final int QUIESCED

  Service is quiesced.

  See Also:
    Constant Field Values

Method Detail

### toString

    public static String toString(int state)

  Returns a string representation of the specified service state.

  Parameters:
    `state` - Service state.
  Returns:
    String representation of the specified service state.

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.